[Crosstoolchain-logs] [device-tree-compiler] 142/198: dtc: Add maintainer script for signing and upload to kernel.org
Hector Oron
zumbi at moszumanska.debian.org
Thu Dec 8 17:07:02 UTC 2016
This is an automated email from the git hooks/post-receive script.
zumbi pushed a commit to branch upstream/1.4.x
in repository device-tree-compiler.
commit 656bd3b6b95f073dc6c6816f0110bb0624792316
Author: David Gibson <david at gibson.dropbear.id.au>
Date: Wed Nov 12 14:27:02 2014 +1100
dtc: Add maintainer script for signing and upload to kernel.org
This patch adds scripts/kup-dtc which builds a tarball from a specified git
tag, signs it and uploads to kernel.org with kup. This is useful only for
dtc maintainers.
Signed-off-by: David Gibson <david at gibson.dropbear.id.au>
---
Makefile | 1 +
scripts/kup-dtc | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/Makefile b/Makefile
index 03644dd..c35f2f1 100644
--- a/Makefile
+++ b/Makefile
@@ -226,6 +226,7 @@ clean: libfdt_clean tests_clean
rm -f $(STD_CLEANFILES)
rm -f $(VERSION_FILE)
rm -f $(BIN)
+ rm -f dtc-*.tar dtc-*.tar.sign dtc-*.tar.asc
#
# Generic compile rules
diff --git a/scripts/kup-dtc b/scripts/kup-dtc
new file mode 100755
index 0000000..e18abbb
--- /dev/null
+++ b/scripts/kup-dtc
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+REMOTE_GIT=/pub/scm/utils/dtc/dtc.git
+REMOTE_PATH=/pub/software/utils/dtc
+
+set -e
+
+kup_one () {
+ VERSION="$1"
+
+ TAG="v$VERSION"
+
+ PREFIX="dtc-$VERSION/"
+ TAR="dtc-$VERSION.tar"
+ SIG="$TAR.sign"
+
+ git archive --format=tar --prefix="$PREFIX" -o "$TAR" "$TAG"
+ gpg --detach-sign --armor -o "$SIG" "$TAR"
+
+ ls -l "$TAR"*
+
+ # Verify the signature as a sanity check
+ gpg --verify "$SIG" "$TAR"
+
+ kup put --tar --prefix="$PREFIX" "$REMOTE_GIT" "$TAG" "$SIG" "$REMOTE_PATH/$TAR.gz"
+}
+
+for version; do
+ kup_one $version
+done
+
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/crosstoolchain/device-tree-compiler.git
More information about the Crosstoolchain-logs
mailing list